package dev.shadowsoffire.apotheosis.adventure.affix.augmenting;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.adventure.affix.AffixRegistry;
import dev.shadowsoffire.apotheosis.adventure.affix.augmenting.AugmentingScreen;
import dev.shadowsoffire.apotheosis.adventure.affix.augmenting.RerollResultMessage;
import dev.shadowsoffire.placebo.network.MessageHelper;
import dev.shadowsoffire.placebo.network.MessageProvider;
import java.util.function.Supplier;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraftforge.network.NetworkEvent;

public class Provider implements MessageProvider<RerollResultMessage> {
  public Class<?> getMsgClass() {
    return RerollResultMessage.class;
  }
  
  public void write(RerollResultMessage msg, FriendlyByteBuf buf) {
    buf.m_130085_(msg.newAffix.getId());
  }
  
  public RerollResultMessage read(FriendlyByteBuf buf) {
    return new RerollResultMessage(AffixRegistry.INSTANCE.holder(buf.m_130281_()));
  }
  
  public void handle(RerollResultMessage msg, Supplier<NetworkEvent.Context> ctx) {
    MessageHelper.handlePacket(() -> AugmentingScreen.handleRerollResult(msg.newAffix()), ctx);
  }
}
